Subject: Re: bug#40923: M-x list-packages -> blah elpa.gnu.org blah: "incomprehensible buffer"

From: Noam Postavsky <[email-masked]>
Date: Tue, 28 Apr 2020 13:43:43 -0400

Eduardo Ochs <[email-masked]> writes:

> I also tried to run slight variants of the tests above with an emacs26
> compiled from the git repo with:
>
>   git checkout emacs-26.3
>   ./autogen.sh
>   ./configure
>   make
>
> and it also couldn't access ELPA if I ran it from my test user.

Does 26.3 still fail if you start from a fresh .emacs.d/ directory?  I
think there were some encoding related fixes made in package.el for
26.3, but they may not help with existing mis-encoded files.